::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword2" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21008
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=8-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=9904ea77bd27dfef87c826c763c38950
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=13fc5bae1f6f16f6b1e26db2225865d1
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=4c06cfeefd353b9e9042adcfd020d791
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=d9409f95a440b21e263b2901a31e1721
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=6305c884ef40b50effb6876fbd34b18a
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=f328a32640a5e49146667b51a9ed4cc4
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=4ecb2d48a1b9ff232cf084df2abc067f
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=20577e74bdfd5ba747865d7fdd3a3884
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=b064556fe2a58d06f36c79f2d79021ba
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=707dcfa330c20c8f3157ac9e0de9a8a8
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=ce4f5cb76e789e1266ca38fc57a88212
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=926f68a1c014371ebbe7818fe20e6bd6
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=d78e84b994a915772ccba2341d47d703
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=9cc2b238dcd6d72f039963ef72b6f1c1
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=f9294fd535caca444733e0f6fbc37d7a
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=7ec66ee056e699647977d338d92ce020
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=b86372f6a747f670ad269cb6f91b4037
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=f4c0a59295bf506387cfb09587da38b3
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=256a5c5bacdb290450749a4829f7751b
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=57e016ed7980cd8a7a38248039ee06fc
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=5cf642a8113f1425591d83eeee44f6fe
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=a3c16fa39274cdd3fa48b199fd8a4f1a
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=26b2ab4b94378b92ee2a4802f80db5d0
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=ae84bfa60623907bb8e427b2152bf644
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=3f6fb796a0f7353b2abdec94d54c848f
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=828434bf32e8955604fd97f279679ea4
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=45cacba5c6ec4354fdfc1897e181d0a9
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=82bae3f38f80fb75283ea8b3f9f0dcf3
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=6b89794840db07268969e42eadff65d3
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=d8e2af0dc66b304e4a91ef02931681c1
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=15b4f42b7c174bc59dde005d6308174b
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=7768708751021d1726c0776b805e3a6f
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=7acd515c425b45172f909c2c8d95ff40
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=7f3d117827fcd955f5675d895ae2a962
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=ff2a70cb57f8e87298748b78fb28a11c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=6388a7fb31a40c13ac8e4eff5b1e25a5
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5alt=5b6e7d60e43de908286255c8562c8705
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5alt=54cdceddde554a2a8ca4147cda903cdf
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5alt=3feb0755ca2ddb4b13e68eaadf990959
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5alt=f51402e9d65c522bcb248d16dbc5c1ed
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5alt=04d83f1ae06e6f078a1ad62c8980ae14
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5alt=84fbd1f37ea17585e41cd3d1fcf4fee2
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=7c283a1cedc3127019e32be945d97fe5
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=94f50b592804e1f6103c0cdd1d106d92

::cIOS251[38] is only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people (this is the same as 249[38] with its slot changed to 251 by patchios.exe
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=0e97724eda07eabbb8fd895a0b15a0a3
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=%md5%
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

